>From 75de82537aff1aa54ac02207cd72234498dac13c Mon Sep 17 00:00:00 2001
From: Zoran Turalija <zoran.turalija@gmail.com>
Date: Tue, 23 Apr 2013 11:23:25 +0200
Subject: [PATCH 2/2] hotkeys: Added OSD messages for toggle loop tri-state
 playlist action.

Closes ticket #7933

Based on "loop" part of John French patch:

    http://patches.videolan.org/patch/1071/
---
 modules/control/hotkeys.c |   11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/modules/control/hotkeys.c b/modules/control/hotkeys.c
index be13004..d367c9c 100644
--- a/modules/control/hotkeys.c
+++ b/modules/control/hotkeys.c
@@ -172,18 +172,29 @@ static int PutAction( intf_thread_t *p_intf, int i_action )
 
         /* Playlist actions (including audio) */
         case ACTIONID_LOOP:
+        {
             /* Toggle Normal -> Loop -> Repeat -> Normal ... */
+            const char *mode;
             if( var_GetBool( p_playlist, "repeat" ) )
+            {
                 var_SetBool( p_playlist, "repeat", false );
+                mode = "Off";
+            }
             else
             if( var_GetBool( p_playlist, "loop" ) )
             { /* FIXME: this is not atomic, we should use a real tristate */
                 var_SetBool( p_playlist, "loop", false );
                 var_SetBool( p_playlist, "repeat", true );
+                mode = "One";
             }
             else
+            {
                 var_SetBool( p_playlist, "loop", true );
+                mode = "All";
+            }
+            DisplayMessage( p_vout, _("Loop: %s"), _(mode) );
             break;
+        }
 
         case ACTIONID_RANDOM:
         {
-- 
1.7.10.4

